IBM Support

Eclipse plug-in compatibility and version support for the ClearCase SCM Adapter

Preventive Service Planning


Abstract

This document explains which versions of the IBM Rational ClearCase SCM Adapter plug-in for Eclipse are supported and provides links to obtain the latest updates.

Content

The latest ClearCase SCM Adapter downloads and installation instructions are located here:

Rational ClearCase SCM Adapter (For Eclipse), Version 7.6.0.0

ClearCase Supported SCM Adapter
Eclipse versionPlatformsSCM Adapter
Version
Comments
WindowsWindows ServerWindows VistaSUSERedHatSolaris
3.42000, XP2003Enterprise, Ultimate, Business94.08, 9, 107.0.0.xShipped with Rational Application Developer 7.5
3.3.1.12000, XP2003Enterprise, Ultimate, Business94.08, 9, 107.0.0.xShipped with Rational Application Developer 7.0.x.x
3.22000, XP2003No94.08, 9, 107.0.0.xShipped with Rational Application Developer 7.0.x.x
3.198, ME, NT, 2000, XPNoNo92.1, 3.0, 4.086.0.50Shipped with WID 6.02
6.0.49
6.0.48Shipped with Rational Application Developer 6.01
3.098, ME, NT, 2000, XPNoNo92.1, 3.0No6.0.25Contained critical bugfix to support Rational Application Developer v6
6.0.23Shipped with Rational Application Developer 6.0


Notes:
  • The table above is intended solely for the ClearCase SCM Adapter and Eclipse compatibility. No reference to the Standalone CCRC client is applicable to the information above. Refer to technote 1224586 for details about system requirements for the standalone CCRC client.
  • ClearCase 7.1 is supported with SCM Adapter version 7.0.0.20081031A. Prior versions of the SCM Adapter are also compatible, however, only under compliance with the information in the table above.
  • The SCM Adapter is based on Eclipse 3.0, so it can be used by all Eclipse 3.0.x, 3.1.x, 3.2.x, 3.3.x, 3.4.x or layered products.
  • The SCM Adapter is not an OSGI compliant plug-in.
  • All JVMs that are supported by the corresponding Eclipse versions are supported with the SCM Adapter. JRE 1.4.2 or later is supported. Further info can be found from the Eclipse site at www.Eclipse.org.
  • The SCM Adapter is not officially supported on 64 bit operating system.
  • There is no ClearCase SCM Adapter in ClearCase 8.0.x. ClearTeam Explorer can be used with both dynamic and web views in ClearCase 8.0.x.

  • Supported Desktop ProductsVersion
    Rational Application Developer for WebSphere Software6.x and 7.x
    Rational Software Architect, Rational Software Modeler, Rational Systems Developer6.x and 7.x
    Rational Performance Tester6.x and 7.x
    Rational Method Composer 7.1
    WebSphere Developer for zSeries6.x and 7.x
    WebSphere Integration Developer6.x

ClearCase versions supportedClearCase patch level required
ClearCase 2003.06.00 on WindowsService release 3 or later
ClearCase LT 2003.06.00 on WindowsService release 3 or later
ClearCase 2003.06.00 on UNIX and Linuxclearcase_p2003.06.00-13 or later
ClearCase LT 2003.06.00 on UNIX and Linuxclearcase_lt_p2003.06.00-8 or later
ClearCase 7.0 (Windows, UNIX and Linux)7.0.0.0-RATL-RCC-IFIX01 or later
ClearCase LT 7.0 (Windows, UNIX and Linux)7.0.0.0-RATL-RCCLT-IFIX01 or later

[{"Product":{"code":"SSSH27","label":"Rational ClearCase"},"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Component":"Integration: Eclipse plug-in","Platform":[{"code":"PF016","label":"Linux"},{"code":"PF027","label":"Solaris"},{"code":"PF033","label":"Windows"}],"Version":"7.0;7.0.1;7.1;7.1.1;7.1.2","Edition":"","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Document Information

Modified date:
16 June 2018

UID

swg21256383